Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class ImportModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ImportModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  Import

public class ImportModel
extends ModelObject

Plug-in dependency model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Import`

Constructor Summary
`ImportModel()` Creates a uninitialized plug-in dependency model object.

Method Summary
`String` | `getIdentifier()` Returns the dependent identifier.
`String` | `getMatchingIdRuleName()` Returns the dependent id matching rule name.
`String` | `getMatchingRuleName()` Returns the dependent version matching rule name.
`String` | `getNL()` Returns the nl.
`String` | `getOS()` Returns the os.
`String` | `getOSArch()` Returns the osArch.
`String` | `getPluginIdentifier()` Deprecated. use getIdentifier() instead
`String` | `getPluginVersion()` Deprecated. use getVersion() instead
`String` | `getVersion()` Returns the dependent version.
`String` | `getWS()` Returns the ws.
`boolean` | `isFeatureImport()` Returns the isFeatureImport.
`boolean` | `isPatch()` Returns the patch mode.
`void` | `setFeatureImport(boolean featureImport)` Sets the featureImport.
`void` | `setIdentifier(String id)` Sets the dependent identifier.
`void` | `setMatchingIdRuleName(String matchingIdRuleName)` Sets the dependent id matching rule name.
`void` | `setMatchingRuleName(String matchingRuleName)` Sets the dependent version matching rule name.
`void` | `setNL(String nl)` Sets the nl.
`void` | `setOS(String os)` Sets the os.
`void` | `setOSArch(String osArch)` Sets the osArch.
`void` | `setPatch(boolean patch)` Sets the patch mode.
`void` | `setPluginIdentifier(String pluginId)` Deprecated. use setIdentifier()
`void` | `setPluginVersion(String pluginVersion)` Deprecated. use setVersion()
`void` | `setVersion(String version)` Sets the dependent version.
`void` | `setWS(String ws)` Sets the ws.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportModel

    public ImportModel()

  Creates a uninitialized plug-in dependency model object.

Since:
  2.0

Method Detail

### getPluginIdentifier

    public String getPluginIdentifier()

  Deprecated. use getIdentifier() instead

  Returns the dependent plug-in identifier.

  Returns:
    plug-in identifier, or `null`.
  Since:
    2.0

### getIdentifier

    public String getIdentifier()

  Returns the dependent identifier.

  Returns:
    identifier, or `null`.
  Since:
    2.0.2

### getPluginVersion

    public String getPluginVersion()

  Deprecated. use getVersion() instead

  Returns the dependent plug-in version.

  Returns:
    plug-in version, or `null`.
  Since:
    2.0

### getVersion

    public String getVersion()

  Returns the dependent version.

  Returns:
    version, or `null`.
  Since:
    2.0.2

### getMatchingRuleName

    public String getMatchingRuleName()

  Returns the dependent version matching rule name.

  Returns:
    matching rule name, or `null`.
  Since:
    2.0

### getMatchingIdRuleName

    public String getMatchingIdRuleName()

  Returns the dependent id matching rule name.

  Returns:
    matching rule name, or `null`.
  Since:
    2.1

### setPluginIdentifier

    public void setPluginIdentifier(String pluginId)

  Deprecated. use setIdentifier()

  Sets the dependent plug-in identifier. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `pluginId` - dependent plug-in identifier
  Since:
    2.0

### setPluginVersion

    public void setPluginVersion(String pluginVersion)

  Deprecated. use setVersion()

  Sets the dependent plug-in version. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `pluginVersion` - dependent plug-in version
  Since:
    2.0

### setIdentifier

    public void setIdentifier(String id)

  Sets the dependent identifier. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `id` - dependent identifier
  Since:
    2.0.2

### setVersion

    public void setVersion(String version)

  Sets the dependent version. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `version` - dependent version
  Since:
    2.0.2

### setMatchingRuleName

    public void setMatchingRuleName(String matchingRuleName)

  Sets the dependent version matching rule name. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `matchingRuleName` - dependent version matching rule.
  Since:
    2.0

### setMatchingIdRuleName

    public void setMatchingIdRuleName(String matchingIdRuleName)

  Sets the dependent id matching rule name. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `matchingIdRuleName` - dependent id matching rule.
  Since:
    2.1

### isFeatureImport

    public boolean isFeatureImport()

  Returns the isFeatureImport.

  Returns:
    boolean

### setFeatureImport

    public void setFeatureImport(boolean featureImport)

  Sets the featureImport.

  Parameters:
    `featureImport` - The featureImport to set

### isPatch

    public boolean isPatch()

  Returns the patch mode.

### setPatch

    public void setPatch(boolean patch)

  Sets the patch mode.

### getOS

    public String getOS()

  Returns the os.

  Returns:
    String

### getOSArch

    public String getOSArch()

  Returns the osArch.

  Returns:
    String

### getWS

    public String getWS()

  Returns the ws.

  Returns:
    String

### setOS

    public void setOS(String os)

  Sets the os.

  Parameters:
    `os` - The os to set

### setOSArch

    public void setOSArch(String osArch)

  Sets the osArch.

  Parameters:
    `osArch` - The osArch to set

### setWS

    public void setWS(String ws)

  Sets the ws.

  Parameters:
    `ws` - The ws to set

### getNL

    public String getNL()

  Returns the nl.

  Returns:
    String

### setNL

    public void setNL(String nl)

  Sets the nl.

  Parameters:
    `nl` - The nl to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.